
QGIS Application - Feature request #13634

Having a feature form opened should not keep highlighted the feature unless it's the active (top 

level) dialog

2015-10-19 09:29 AM - Harrissou Santanna

Status: Closed

Priority: Normal

Assignee:

Category:

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 21670

Description

Identify a feature and open its feature form.

Do same thing for another feature.

You get two features highlighted in the map canvas. And you have no way unless closing one of the forms to know which form belongs to

which geometry. Imagine you have many forms opened.

Having a form opened should not be enough to highlight the feature. Feature should be highlighted becaues of the opened form only if the

form is at the top level of the dialogs (e.g, it's selected).

Associated revisions

Revision 2e850537 - 2015-10-23 02:27 PM - Matthias Kuhn 

Only highlight feature of active attribute dialog

Fix #13634

History

#1 - 2015-10-20 04:01 AM - Matthias Kuhn

- Status changed from Open to In Progress

Pull request open https://github.com/qgis/QGIS/pull/2385

#2 - 2015-10-23 05:28 AM - Anonymous

- Status changed from In Progress to Closed

Fixed in changeset commit:"2e8505378ea91424f31be82f2041572fe9950319".
